## org.eclipse.jet.xpath
Interface XPathFunction

    public interface XPathFunction

Interface to an XPath function implementation. Functions that require the XPath context should also implement `XPathFunctionWithContext`.

Note: Once JET moves to Java 1.5 or later only, this interface will be migrated to javax.xml.xpath.XPathFunction

Method Summary
`java.lang.Object` `evaluate(java.util.List args)` Evaluate the function with given the arguments.

Method Detail

### evaluate

    java.lang.Object evaluate(java.util.List args)

  Evaluate the function with given the arguments. The types of arguments should be one of <bl>
  - `NodeSet` representing a result of an XPath path expression
  - `Double` representing a numeric value
  - `String` representing a string value
  - `Boolean` representing a logical value
  </bl>

  Parameters:
    `args` - a non-null List of arguments.
  Returns:
    the function result
  Throws:
    `XPathRuntimeException` - if the function cannot be evaluated successfully.

Copyright 2006 IBM Corporation and others. All Rights Reserved.